﻿
body {
    margin: 0px;
}

.pcoded {
    position: relative;
    top: 0;
    height: 100vh;
}

.ps__rail-y {
    left: 0px;
    right: auto;
}

body.rtl_page {
    direction: rtl;
    font-family: IRANSans_FaNum;
    font-size: 14px;
    font-weight: 300;
}

.activityLink {
    cursor: pointer;
}

li.rootLi.active.selectedModule > a {
    color: #16D39A !important;
}

/*//=========================================*/

.dropdown-menu-right.searchFilter_wrp {
    transform: unset !important;
    /* transform: translateX(65%) !important;*/
    right: 0 !important;
    left: auto !important;
    top: unset !important;
}

.card .card-block .dropdown-menu.searchFilter_wrp {
    width: 400px;
    border: 1px solid #083e6c;
    direction: rtl;
    text-align: right;
    padding-top: 1.25em;
    background-color: #fff;
}

.dropdown-menu {
    border-color: #eee;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
}

.rl-filter {
    display: flex;
}

    .rl-filter li {
    }

        .rl-filter li:nth-child(1) {
            flex: 0 0 70%;
        }

        .rl-filter li:nth-child(2) {
            flex: 1;
        }

        .rl-filter li:nth-child(3) {
            flex: 3;
        }

        .rl-filter li:nth-child(1) {
        }


.input-group.input-group-dropdown {
    margin: 0px;
}

#dynamicContent h5.loading {
    font-size: 17px;
    margin-bottom: 5px;
    color: #0a6a4d;
}

.rl-filter .dLabel {
    font-size: 13px;
    line-height: 18px;
    padding: 10px 15px;
    border-left-width: 0;
    border-radius: 0 3px 3px 0;
}

.rl-filter li:nth-child(1) input.searchInResult {
    border-right-width: 0px;
    font-size: 13px;
    border-radius: 0;
    direction: rtl;
    text-align: right;
}

.rl-filter li:nth-child(2) input {
    border-radius: 0;
    text-align: center;
    border-right-width: 0px;
    color: #ff7500;
    font-size: 14px;
    font-weight: 500;
    padding: 0.39rem .75rem .20rem .75rem;
    line-height: 29px;
    font-size: 13px;
    border-radius: 0;
}

.rl-filter li:nth-child(3) span.search-result-count {
    line-height: 22px;
    font-size: 13px;
    text-align: center;
    border-right-width: 0px;
}

.rl-filter .dropdown-toggle::after {
    margin-right: 0.400em;
    vertical-align: 0;
    border-top: .4em solid;
}

.searchFilter_wrp .form-control {
    width: 100%;
    border-radius: 3px !important;
    font-size: 13px;
    padding: .3rem .75rem .3rem .75rem;
    color: #555 !important;
}

.searchFilter_wrp .col-form-label {
    font-size: 13px;
}

.mobile-inputs .form-control {
    width: 100%;
    border-radius: 3px !important;
    font-size: 13px;
    padding: .3rem .75rem .25rem .75rem;
    color: #555 !important;
    height: 32px;
}

.mobile-inputs .col-form-label {
    font-size: 13px;
    padding-right: 11px;
    padding-left: 4px;
}

.input-group a.btn.reloadResult {
    color: #fff;
    text-transform: capitalize;
    font-size: 15px;
    padding: 10px 19px;
    margin: 12px 0px;
}

    .input-group a.btn.reloadResult:hover {
        background-color: #01dbdf !important;
        border-color: #01dbdf !important;
    }

.select2-container--bootstrap .select2-selection {
    border: 1px solid #e0e0e0;
}

.select2-container--bootstrap.select2-container--open {
    z-index: 500000 !important;
}

.searchDesc {
    margin: -8px 0 13px 0;
}

    .searchDesc li:first-child {
        background-color: transparent;
        font-weight: 400;
    }

    .searchDesc li {
        border-radius: 3px;
        background-color: #f2efef;
        padding: 3px 6px;
        margin: 0 5px 3px 0;
        display: inline-block;
        font-size: 13px;
    }

        .searchDesc li i {
            color: #31a619;
            font-weight: 400;
        }


.pagination {
    margin: 20px 0;
    display: inherit;
}

    .pagination ul {
        border-radius: 4px;
        box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05);
        display: inline-block;
        margin: 0;
        padding: 0;
    }

        .pagination ul > li {
            display: inline;
        }

            .pagination ul > li > a, .pagination ul > li > span {
                -moz-border-bottom-colors: none;
                -moz-border-left-colors: none;
                -moz-border-right-colors: none;
                -moz-border-top-colors: none;
                background-color: #ffffff;
                border-color: #dddddd;
                border-image: none;
                border-style: solid;
                border-width: 1px 1px 1px 0;
                float: left;
                line-height: 20px;
                padding: 4px 12px;
                text-decoration: none;
            }


                .pagination ul > li > a:hover {
                    color: #01a9ac !important;
                }

            .pagination ul > li.active > a:hover {
                color: #fff !important;
            }

        .pagination ul > .active > a, .pagination ul > .active > span {
            /*color: #999999;*/
            cursor: default;
            color: #fff;
            background-color: #01a9ac;
            border-color: #01a9ac;
        }

        .pagination ul > .disabled > span, .pagination ul > .disabled > a, .pagination ul > .disabled > a:hover, .pagination ul > .disabled > a:focus {
            background-color: transparent;
            color: #999999;
            cursor: default;
        }

        .pagination ul > li:first-child > a, .pagination ul > li:first-child > span {
            border-bottom-left-radius: 4px;
            border-left-width: 1px;
            border-top-left-radius: 4px;
        }

        .pagination ul > li:last-child > a, .pagination ul > li:last-child > span {
            border-bottom-right-radius: 4px;
            border-top-right-radius: 4px;
        }

        .pagination ul > li {
            float: right;
        }

            .pagination ul > li:first-child > a, .pagination ul > li:first-child > span {
                border-radius: 0 4px 4px 0;
                border-right-width: 1px;
            }

            .pagination ul > li:last-child > a, .pagination ul > li:last-child > span {
                border-radius: 4px 0 0 4px;
            }

            .pagination ul > li > a, .pagination ul > li > span {
                border-width: 1px 0 1px 1px;
                cursor: pointer;
            }

.pagination-centered {
    text-align: center;
    margin: 50px 0 0px 0;
    display: block;
}



.tooltip-inner {
    font-family: IRANSans_FaNum;
    background-color: #16D39A;
    border-radius: 4px;
    color: #fff;
    max-width: 200px;
    padding: 3px 8px;
    text-align: center;
    text-decoration: none;
    direction: rtl;
    line-height: 24px;
}


.tooltip-arrow {
    border-color: transparent;
    border-style: solid;
    height: 0;
    position: absolute;
    width: 0;
}

.tooltip.top .tooltip-arrow {
    border-top-color: #16D39A !important;
    border-width: 5px 5px 0;
    bottom: 0;
    left: 50%;
    margin-left: -5px;
}

.tooltip.top-left .tooltip-arrow {
    border-top-color: #16D39A;
    border-width: 5px 5px 0;
    bottom: 0;
    margin-bottom: -5px;
    right: 5px;
}

.tooltip.top-right .tooltip-arrow {
    border-top-color: #16D39A;
    border-width: 5px 5px 0;
    bottom: 0;
    left: 5px;
    margin-bottom: -5px;
}

.tooltip.right .tooltip-arrow {
    border-right-color: #16D39A;
    border-width: 5px 5px 5px 0;
    left: 0;
    margin-top: -5px;
    top: 50%;
}

.tooltip.left .tooltip-arrow {
    border-left-color: #16D39A;
    border-width: 5px 0 5px 5px;
    margin-top: -5px;
    right: 0;
    top: 50%;
}

.tooltip.bottom .tooltip-arrow {
    border-bottom-color: #16D39A;
    border-width: 0 5px 5px;
    left: 50%;
    margin-left: -5px;
    top: 0;
}

.tooltip.bottom-left .tooltip-arrow {
    border-bottom-color: #16D39A;
    border-width: 0 5px 5px;
    margin-top: -5px;
    right: 5px;
    top: 0;
}

.tooltip.bottom-right .tooltip-arrow {
    border-bottom-color: #16D39A;
    border-width: 0 5px 5px;
    left: 5px;
    margin-top: -5px;
    top: 0;
}



.card .card-block table.responsive-table tr {
    padding-bottom: 0px;
}

table.responsive-table tr td {
    padding: .75rem;
}
/*
.table-hover.responsive-table tbody tr {
    transition: all 0.2s ease 0s;
}

    .table-hover.responsive-table tbody tr:hover {
        background-color: #e8e8e8 !important;
        transition: all 0.2s ease 0s;
    }*/
.estimate_td {
    padding-top: 2px !important;
    padding-bottom: 2px !important;
}

    .estimate_td .percircle > span {
        height: 1.2em !important;
    }

/*#RefreshResultItemList_wrp .table tr:hover .td_btn {
    width: 200px !important;
}*/

.modal-header .close {
    float: left !important;
}

.modal-header {
    direction: rtl;
    padding: 10px 15px 10px 25px;
}

.modal-title {
    font-size: 1rem;
    font-weight: 400;
    color: #439177;
}

a:not([href]) {
    /*color:#fff !important;*/
    cursor: pointer;
}

a.eModal_frm.btn:not([href]) {
    color: #fff;
    font-size: 13px;
}

label.error {
    color: orangered;
}

.alert button.close {
    float: left;
    margin-top: 4px;
}

.spacer_newItemBtn {
    height: 30px;
    clear: both;
}

.modal-body {
    direction: rtl;
}

    .modal-body.modal-tmp h5 {
        font-weight: normal;
        padding: 0 0 7px 0;
        font-size: 1rem;
    }

.material-icons.regidterMsgIcon {
    position: relative;
    top: 7px;
    line-height: 8px;
    right: 3px;
}

.clear_date {
    position: absolute;
    font-size: 14px;
    float: left;
    z-index: 200;
    left: 22px;
    color: #868686;
    opacity: 0.1;
    top: 39px;
}

    .clear_date:hover {
        opacity: 0.9;
    }

.emptyResult {
    font-size: 17px;
    padding: 5px 0 2px 0;
    margin: 0;
    color: #666;
}

.ActiveStyle {
    color: limegreen;
}

.deActiveStyle {
    color: darkorange;
}

.addrTitle {
    font-size: 12px;
    color: #919191;
}

#dynamicContent .card-header h5 {
    padding: 0px 0 8px 0;
}
/*#txt_search_display_count:focus {
    -moz-box-shadow: inset -1px 0 0 #01a9ac;
    -webkit-box-shadow: inset -1px 0 0 #01a9ac;
    box-shadow: inset -1px 0 0 #01a9ac;
}*/
/*.rl-filter .form-group.row .col-sm-6 {
    padding-right: 10px !important;
    padding-left: 10px !important;
}*/
#wrp_selectedOrder_info .msg {
    color: orangered;
    position: relative;
    top: -6px;
    font-size: 13px;
    right: 13px;
}

.adpt_items {
}

    .adpt_items span {
        color: #19e819;
        margin: 0px 3px;
        font-size: 16px;
        line-height: 20px;
    }

/*//===================objManage.css=====================*/


#CostInfo {
    color: orangered;
}

.modalTrigger {
    color: #17d717;
    position: relative;
    font-size: 21px;
    line-height: 20px;
    float: left;
    cursor: pointer;
}


.modalTriggerTest {
    color: #17d717;
    position: relative;
    font-size: 21px;
    line-height: 20px;
    float: left;
    cursor: pointer;
}

.ajaxCallWaiting_old {
    float: left;
    color: #17d717;
    position: relative;
    top: 5px;
    font-size: 17px;
    line-height: 10px;
    left: 2px;
}

.ajaxCallWaiting {
    float: left;
    color: #17d717;
    position: relative;
    top: 4px;
    font-size: 17px;
    line-height: 10px;
    left: 18px;
}

.card-header-right .ajaxCallWaiting {
    float: left;
    position: relative;
    top: -5px;
    line-height: 10px;
    left: -1px;
}

    .card-header-right .ajaxCallWaiting i {
        color: #16D39A !important;
    }

.btn-success .ajaxCallWaiting {
    color: #fff;
    top: 0px;
}


a.inlineFormBtn {
    font-size: 13px;
    margin-top: -1px;
    padding: 9px 19px;
}

#current_wallet_balance span {
    float: left;
}

.addCheck {
    color: #07885b !important;
}

    .addCheck:hover {
        color: #fff !important;
    }

.select2-container--bootstrap .select2-selection {
    border: 1px solid #ccc !important;
}

#modal_addPaymentCheck .select2-container--open .select2-dropdown {
    /* left: -17px;*/
}



#wrp_addedPaymentType_list {
    width: 100%;
    padding: 0 15px;
}

.tbl_addedPaymentTypes {
    margin: 20px 0 0 0;
    padding: 0;
}

    .tbl_addedPaymentTypes th {
        text-align: center;
        padding: .25rem;
        font-weight: 400;
        color: #439177;
    }


    .tbl_addedPaymentTypes tr td {
        padding: 4px 3px 0px 3px;
        text-align: center;
    }

        .tbl_addedPaymentTypes tr td a span {
            position: relative;
            top: 5px;
            padding: 0;
            font-size: 17px;
            line-height: 9px;
        }

        .tbl_addedPaymentTypes tr td ul {
            margin: 0px;
            padding: 0px;
            list-style: none;
            max-width: 200px;
        }

            .tbl_addedPaymentTypes tr td ul li {
                padding: 1px 7px;
                margin: 0 0 4px 4px;
                background-color: rgba(207, 244, 241, 0.75);
                border: solid 1px rgba(165, 225, 220, 0.73);
                font-size: 12px;
                float: right;
            }

.inline_ajax_btn {
    cursor: pointer;
}

    .inline_ajax_btn.dellBtn span {
        color: darkorange;
        transition: all 0.2s ease 0s;
    }

    .inline_ajax_btn.dellBtn:hover span {
        color: orangered !important;
        transition: all 0.2s ease 0s;
    }

#chechMessage {
    text-align: center;
    width: 100%;
    color: orangered;
}

.price_danger {
    color: orangered !important;
    font-weight: 400;
}

.price_success {
    color: #2bca2b !important;
    font-weight: 400;
}

.price_warning {
    font-weight: 400;
}

#lbl_fac_totall_price, #lbl_fac_totall_tax {
    font-weight: 400;
}

.seprator_div {
    margin: 10px 0 4px 0;
    border-bottom: dashed 1px #ccc;
}

.tbl_factorItems th {
    text-align: center;
    padding: .35rem;
    font-weight: 500;
    color: #439177;
}

.tbl_factorItems td {
    text-align: center;
    padding: .35rem;
    vertical-align: middle;
}


.rial {
    font-size: 10px;
    color: #999;
    margin-right: 2px;
}

#user_wallet_balance {
    float: left;
    font-size: 11px;
    position: relative;
    top: 3px;
    left: 26px;
}

    #user_wallet_balance span {
        font-size: 13px;
        direction: ltr;
        display: inline-block;
    }

    #user_wallet_balance.uw_info {
        float: left;
        font-size: 11px;
        position: relative;
        left: 0;
        top: -2px;
        border: dashed 1px #16d39a;
        padding: 0 8px 4px 8px;
        line-height: 13px;
        border-radius: 3px;
        margin: 0;
        color: #444;
    }

.card .btn {
    color: #fff !important;
    cursor: pointer;
}

.select2-container--bootstrap.select2-container--focus .select2-selection, .select2-container--bootstrap.select2-container--open .select2-selection {
    border-color: rgba(102, 175, 233, 0.6) !important;
}

.mobile-inputs .form-control:focus {
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(102, 175, 233, 0.6);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(102, 175, 233, 0.6);
    -webkit-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
    -o-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
    -webkit-transition: border-color ease-in-out 0.15s, -webkit-box-shadow ease-in-out 0.15s;
    transition: border-color ease-in-out 0.15s, -webkit-box-shadow ease-in-out 0.15s;
    transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
    transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s, -webkit-box-shadow ease-in-out 0.15s;
    border-color: #66afe9;
}

.modal-header {
    color: #6f6f6f;
}

    .modal-header .close {
        position: absolute;
        left: 10px;
    }

.factorInfo {
    display: inline-block !important;
}

    .factorInfo i {
        color: #fff !important;
        font-size: 13px !important;
        font-weight: 400;
        margin: 0px 10px 0 0 !important;
        padding: 3px 10px 2px 10px;
        border-radius: 3px;
    }

    .factorInfo .f1 {
        background-color: #67a667;
    }

    .factorInfo .f2 {
        background-color: #34ec34;
    }

    .factorInfo .f3 {
        background-color: #ddd;
    }

    .factorInfo .f4 {
        background-color: #e68b2b;
    }

    .factorInfo .f5 {
        background-color: #17afdd;
    }

    .factorInfo .f6 {
        background-color: #d1d556;
    }

.tooltip ul {
    margin: 0px;
    padding: 0px;
    list-style: none;
}

    .tooltip ul li {
        border-bottom: dashed 1px #fff;
        padding: 3px 0px;
        text-align: right;
        font-size: 12px;
    }

        .tooltip ul li:last-child {
            border: none;
            padding: 3px 0px;
        }

/*#frm_factorList #RefreshResultItemList_wrp table tr td:nth-child(3),
#frm_factorList #RefreshResultItemList_wrp table tr td:nth-child(6) {
    border-left-width: 0px;
    padding-left: 0;
}*/

/*#frm_factorList #RefreshResultItemList_wrp table tr td:nth-child(4) {
    border-right-width: 0px;
    padding: 0 0 0 2px;
}

#frm_factorList #RefreshResultItemList_wrp table tr td:nth-child(7) {
    border-right-width: 0px;
    padding: 0 0 0 2px;
}*/

.checkout {
    color: #3bca3b;
    position: relative;
    top: 2px;
}

#RefreshResultItemList_wrp td .eModal_frm:hover {
    color: #A66D00;
}

.tbl_factorItems td .form-control {
    text-align: center;
}

.tbl_factorItems {
    table-layout: fixed;
}

.freightCost_customerPrice {
}

.extarct_info {
    position: relative;
    left: 0px;
    top: 5px;
    color: red;
    font-size: 18px;
    cursor: pointer;
}

.extract_freightCost {
}

    .extract_freightCost.srv {
    }

.modal-xlg {
    max-width: 80%;
}

.msgErrorUl {
    margin: 0px;
    padding: 0px;
    list-style: none;
    font-size: 12px;
}

    .msgErrorUl li:first-child {
        border: none;
        color: #555;
    }

    .msgErrorUl li {
        display: inline-block;
        margin: 0 0 0 4px;
        border: solid 1px #e8e2e2;
        padding: 4px 8px;
        color: orangered;
        border-radius: 3px;
    }

.extractionTbl {
    margin: 15px 0 0 0;
}

.li_seprator {
    margin: 0px 9px 0px 6px !important;
    border-right: solid 1px #16d39a;
    height: 16px;
    position: relative;
    top: 2px;
}

.card .card-header .card-header-right i.Fac_btn {
    margin: 0 4px 0 4px !important;
    transition: 0.1s ease-in-out;
}

    .card .card-header .card-header-right i.Fac_btn:hover {
        color: #16d39a;
        background-color: #f0fffb;
        transition: 0.1s ease-in-out;
    }

span.eModal_frm.modalTrigger {
    float: left;
    margin-right: 10px;
    line-height: 19px;
}
span.eModal_frm.modalTriggerTest {
    float: left;
    margin-right: 10px;
    line-height: 19px;
}
button.modalTriggerTest {
    margin: 0 10px 0 0;
    padding: 0;
    background-color: transparent;
    border: none;
    position: absolute;
    left: 0;
    outline: none;
}

    button.modalTriggerTest:focus {
        /*box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(102, 175, 233, 0.6);*/
        color: #169b16;
    }

button.modalTrigger {
    margin: 0 10px 0 0;
    padding: 0;
    background-color: transparent;
    border: none;
    position: absolute;
    left: 0;
    outline: none;
}

    button.modalTrigger:focus {
        /*box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(102, 175, 233, 0.6);*/
        color: #169b16;
    }

#RefreshResultItemList_wrp h5 {
    font-size: 14px;
    color: #1d8c6b;
    padding-right: 10px;
    line-height: 28px;
}

#RefreshResultItemList_wrp .table tbody tr:hover {
    -moz-box-shadow: inset 1px 0 0 #dadce0,inset -1px 0 0 #dadce0,0 1px 2px 0 rgba(60,64,67,.3),0 1px 3px 1px rgba(60,64,67,.15);
    box-shadow: inset 1px 0 0 #dadce0,inset -1px 0 0 #dadce0,0 1px 2px 0 rgba(60,64,67,.3),0 1px 3px 1px rgba(60,64,67,.15);
    z-index: 1;
    background-color: #16d39a1c !important;
}

/*select2 custom style*/

.select2-container--bootstrap .select2-results__option {
    font-size: 14px;
    border-bottom: solid 1px #ececec;
}

.select2-results__options .select2-results__option:nth-child(even) {
    background-color: #f2f2f2;
}

.select2-results__options .select2-results__option.select2-results__option--highlighted[aria-selected]:nth-child(even) {
    background-color: #083e6c;
}

.select2-results__options .select2-results__option:hover {
    background-color: #05B6BF;
    color: #fff;
}


.RESULT_2COL div, .RESULT_3COL div {
    text-align: right;
    display: inline-block;
}


    .RESULT_3COL div:nth-child(1) {
        width: 15%;
        padding-right: 10px;
    }

    .RESULT_3COL div:nth-child(2) {
        width: 45%;
    }

    .RESULT_3COL div:nth-child(3) {
        width: 40%;
    }

    .RESULT_2COL div:nth-child(1) {
        width: 20%;
        padding-right: 10px;
    }

    .RESULT_2COL div:nth-child(2) {
        width: 80%;
        text-align: center;
    }
/*//===============================================*/
#RefreshResultItemList_wrp .table tr .td_btn, #RefreshResultItemList_wrp .table tr .td_wrp_btn {
    width: 140px;
    padding: 0.5rem .75rem 0.4rem .75rem;
}

#RefreshResultItemList_wrp .table tr .td_btn {
    display: none;
}

#RefreshResultItemList_wrp .table tr .td_wrp_btn {
    display: table-cell;
}

#RefreshResultItemList_wrp .table tr:hover .td_btn {
    display: table-cell;
}

#RefreshResultItemList_wrp .table tr:hover .td_wrp_btn {
    display: none;
}

.td_btn ul {
    width: 100%;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}

    .td_btn ul li {
        display: contents;
        border-radius: 3px;
        margin: 0 4px;
        padding: 2px 7px;
        font-size: 22px;
        line-height: 8px;
        color: #8a8989;
    }

        .td_btn ul li.new {
            display: inline-block;
            border-radius: 3px;
            margin: 0 4px;
            padding: 6px 6px 4px 5px;
            font-size: 22px;
            color: #8a8989;
            width: 24px;
            height: 24px;
            line-height: 24px;
            border: solid 1px #ccc;
            border-radius: 50%;
        }

div.form-control {
    height: 30px;
    line-height: 20px;
    border-color: #16D39A;
    display: inline-table;
}

.tbl_factorItems td span {
    direction: ltr;
    text-align: left;
    display: inline-block;
}

.thousandSeparator {
    text-align: right;
    direction: ltr;
}

.card .btn.addCheck {
    color: #444 !important;
    font-size: 13px;
    height: 35px;
}

#txt_fac_payment_details {
    height: 33px;
    line-height: 21px;
}

#wrp_extractModal_result {
    height: 400px;
    overflow: auto;
    display: inline-block;
    width: 100%;
}

.spn_1 {
    margin: 0 4px;
    color: #31a619;
}

.tbl_remainedFactors {
    margin-top: 20px;
}

.txtRemained.green {
    background-color: #24ee5696 !important;
}

.txtRemained.orange {
    background-color: #ffa500c9 !important;
}

.txtRemained.red {
    background-color: #ff45008c !important;
}

tr.walletCharge_tr td:first-child {
    text-align: left !important;
    color: orangered;
}

tr.walletCharge_tr td:last-child {
    text-align: right !important;
}

#remainedAmount {
    background-color: #f9f9f9;
    border-radius: 4px;
    font-weight: 400;
    padding: .3rem .75rem .20rem .75rem;
    color: #14a24b;
    border: 1px solid #ccc;
    width: 150px;
    display: block;
    direction: ltr;
}

.walletCharging {
    color: green;
}

.tooltip ul li b {
    text-align: left;
    direction: ltr;
    display: inline-block
}

span.createdDate {
    position: absolute;
    left: 39px;
    display: inline-block !important;
}

.factorView_header h5 {
    color: #16D39A !important;
    font-weight: 400 !important;
}

.tbl_summery {
    margin-top: 50px;
}

    .tbl_summery th {
        color: #fff;
        padding: 9px 7px 7px 7px !important;
        font-weight: 500;
    }

.neg_rem {
    display: inline-block;
    direction: ltr;
    color: orangered;
}

.pos_rem {
    color: forestgreen;
}

#btn_addOrderItem {
    padding: 0px;
    border-radius: 50%;
    line-height: 7px;
    position: absolute;
    bottom: 2px;
    right: 15px;
    width: 30px;
    height: 30px;
}

    #btn_addOrderItem .ajaxCallWaiting {
        position: absolute;
        left: -4px;
        background-color: #fff;
        top: 0px;
    }

    #btn_addOrderItem span {
        font-size: 28px;
    }

.td_orderAmount ul {
    direction: ltr;
}

    .td_orderAmount ul li {
        float: left;
    }

        .td_orderAmount ul li:first-child {
            position: absolute;
            margin-top: 5px;
            margin-left: 6px;
        }

.tbl_factorItems td span.byf_orderUnit {
    font-size: 11px;
    color: #999;
}

#tbl_buyFactorItems {
    margin-top: 10px;
}

.negativeNum {
    display: inline-block;
    direction: ltr;
}

.factorItemsUL li {
    border: solid 1px #ddd;
    border-radius: 2px;
    display: inline-block;
    margin: 0 0 4px 4px;
    padding: 0 7px;
    font-size: 13px;
}

.red_span {
    color: orangered;
}

.green_span {
    color: #09B003;
}

.trs_sale {
    color: forestgreen;
}

.trs_buy {
    color: #d93300;
}

.trs_discont {
    color: #a8a8a8;
}

.trs_charging {
    color: #5d9703;
}

.trs_cashePayment {
    color: #5e5c5c;
}

.trs_payWithWallet {
    color: cadetblue;
}

.trs_payForCredit {
    color: cadetblue;
}

/* Switch Style Start */

.chk_wrp_lbl {
    margin-top: 3px;
}

    .chk_wrp_lbl span {
        position: relative;
        top: -12px;
        right: 5px;
    }

input[type="checkbox"].switch_1 {
    font-size: 22px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 3.1em;
    height: 1.5em;
    background: #ddd;
    border-radius: 3em;
    position: relative;
    cursor: pointer;
    outline: none;
    -webkit-transition: all .2s ease-in-out;
    transition: all .2s ease-in-out;
}

    input[type="checkbox"].switch_1:checked {
        background: #16D39A;
        /*#083e6c*/
    }

    input[type="checkbox"].switch_1:after {
        position: absolute;
        content: "";
        width: 1.5em;
        height: 1.5em;
        border-radius: 50%;
        background: #fff;
        -webkit-box-shadow: 0 0 .25em rgba(0,0,0,.3);
        box-shadow: 0 0 .25em rgba(0,0,0,.3);
        -webkit-transform: scale(.7);
        transform: scale(.7);
        left: 0;
        -webkit-transition: all .2s ease-in-out;
        transition: all .2s ease-in-out;
    }

    input[type="checkbox"].switch_1:checked:after {
        left: calc(100% - 1.5em);
    }

    input[type="checkbox"].switch_1:focus {
        background: #c3c3c3;
    }

    input[type="checkbox"].switch_1:checked:focus {
        background: #2abf92;
    }
/* Switch Style End */

#btn_addOrderItem:focus {
    background-color: #2abf92;
}

.eModal_frm.comisLink {
    color: #a66e5d !important;
}

#btn_addPaymentType_toFactor, #btn_buyFac_addPaymentType_toFactor {
    padding: 0;
    border-radius: 3px;
}

    #btn_addPaymentType_toFactor span, #btn_buyFac_addPaymentType_toFactor span {
        display: block;
        padding: 3px;
    }

#user_wallet_balance.outLabel {
    float: right;
    font-size: 13px;
    position: relative;
    top: 6px;
    right: -6px;
}

.customSpinner {
    font-size: 19px;
    color: #16d39a;
    position: relative;
    top: 5px;
    margin-right: 10px;
}

#RefreshResultItemList_wrp .table tr td b {
    background-color: #16d39a;
    color: #fff;
    padding: 0 8px;
    border-radius: 3px;
}

.edit-btn.btn-sm {
    padding: 8px 10px 5px 14px;
}

.edit-btn .icofont-edit {
    font-size: 15px;
}

a.edit-cancel:not([href]):not([tabindex]):focus, a.edit-cancel:not([href]):not([tabindex]):hover {
    background-color: #edf7f3;
}

input[data-mddatetimepicker="true"] {
    direction: ltr;
    text-align: right;
}

.red_span i {
    font-size: 12px;
    margin-right: 3px;
}

.wrp_currentHistory {
    border-top: double 1px #ddd;
    margin: 20px 0 0 0;
    padding: 20px;
}

    .wrp_currentHistory h4 {
        font-size: 16px;
        font-weight: 400;
        color: #16D39A;
        margin: 0 0 15px 0;
        padding: 0;
    }

.dell_bfi {
    float: right;
    position: absolute;
    right: 2%;
    color: darkorange;
    opacity: 0.1;
    transition: all 0.2s ease 0s;
}

    .dell_bfi:hover {
        color: orangered;
        opacity: 1;
        cursor: pointer;
        transition: all 0.2s ease 0s;
    }

#tbl_buyFactorItems tr:hover .dell_bfi {
    opacity: 1;
    transition: all 0.2s ease 0s;
}

/* ============= start for ticket project =============*/

#loginModal .alert {
    margin-bottom: 7px;
}

#btn_login_again {
    border-radius: 3px;
    color: #fff;
}

#wrp_loginMsg {
    margin: 0 14px;
}

    #wrp_loginMsg .alert {
        font-size: 12px;
    }

.modal-header {
    border-bottom: none;
    min-height: auto;
    padding: 0;
}

    .modal-header .modal-title {
        display: none;
    }

    .modal-header .close {
        margin-top: -2px;
        position: absolute;
        top: 14px;
        left: 12px;
        font-size: 27px;
        font-weight: 400;
    }


    .modal-header .close {
        color: #000;
        cursor: pointer;
        opacity: 0.3;
    }

.close:hover, .close:focus {
    color: #000;
    cursor: pointer;
    opacity: 0.8;
    text-decoration: none;
}

iframe.embed-responsive-item {
    border-radius: 5px;
}

#wrpExerExport, .wrpExerExport {
    position: relative;
    top: -30px;
    left: 9px;
    cursor: pointer;
    font-size: 14px;
    float: left;
}

    .wrpExerExport a.xlsExport {
        font-size: 18px
    }

.saveInWidget {
    margin-left: 20px;
    color: #12b041;
    cursor: pointer;
}

.wrpSaveWidget {
    position: relative;
    top: -28px;
    left: 17px;
    cursor: pointer;
    float: left;
}

    .wrpSaveWidget a.widgetLInk {
        font-size: 17px;
    }

.widgetResultLink {
    color: #28b122;
}

    .widgetResultLink.error {
        color: orangered;
    }

.rl-filter li:nth-child(3) a {
    color: #16d39a;
    transition: all 0.1s ease 0s;
}

    .rl-filter li:nth-child(3) a:hover {
        color: #31a280;
        transition: all 0.1s ease 0s;
    }

a.exelExportLink {
    font-size: 22px;
    position: relative;
    top: -2px;
}

.wrpSaveWidget a.eModal_frm {
    font-size: 20px;
    position: relative;
    top: -2px;
}
.wrpSaveWidget a.eModal_frmTest {
    font-size: 20px;
    position: relative;
    top: -2px;
}

.widget_setting {
    position: absolute;
    top: 4px;
    right: -3px;
    opacity: 0;
    transition: all 0.2s ease 0s;
}

    .widget_setting a {
        color: #16d39a !important;
        font-size: 11px;
    }

.card:hover .widget_setting {
    opacity: 0.4;
    transition: all 0.2s ease 0s;
}

.widget_setting:hover {
    opacity: 1 !important;
    transition: all 0.2s ease 0s !important;
}

.card .isFormulaWidget {
    font-size: 14px;
    position: absolute;
    bottom: 8px;
    right: 8px;
    transition: all 0.2s ease 0s;
    color: #fff;
}

.widgetTextWrraper {
    width: calc(100% - 60px) !important;
}

    .widgetTextWrraper h6 {
        line-height: 25px;
        font-weight: 400;
    }

#RefreshResultItemList_wrp {
    min-height: 500px;
    display: block;
}


.haveDeadLine i.stateView {
    position: relative;
    top: 7px;
}

.savingMode {
    color: green !important;
    float: right;
}

.delayMode {
    color: red !important;
    float: right;
}

.isClosed {
    color: #ccc;
}

    .isClosed td, .isClosed td a, .isClosed td span, .isClosed td a span {
        color: #a2a2a2 !important;
    }

        .isClosed td .claim_finish_percent {
            opacity: 0.4 !important;
        }


.claim_finish_percent {
    color: #12b90b;
    border: solid 1px #ccc;
    border-radius: 3px;
    padding: 4px 0px 0px 5px;
}

    .claim_finish_percent.beLate {
        color: orangered;
    }

    .claim_finish_percent i {
        margin-right: 5px;
    }

.pickupTicketItem_disabled {
    color: #bcbcbc;
}

    .pickupTicketItem_disabled:hover {
        color: #bcbcbc;
    }

.haveDeadLine i.fas {
    font-size: 16px;
}


.modal_with_header .modal-header {
    min-height: auto;
    padding: 0;
}

    .modal_with_header .modal-header .modal-title {
        display: inline-block;
        width: 100%;
        padding: 0px 30px 10px 30px;
        margin: 13px 0 0 0;
        color: #155c86;
        font-weight: 400;
    }

    .modal_with_header .modal-header .close {
        margin-top: -2px;
        position: absolute;
        top: 11px;
        left: 9px;
        font-size: 27px;
        font-weight: 400;
    }

.modal_with_header .modal-header {
    border-bottom: solid 1px #f4f4f4;
}

.modal_with_header .clear_date {
    top: 8px;
    cursor: pointer;
}

/*=========//involved projects //============*/


.isMerged_tr {
    background-color: #cff9bb !important;
    transition: all 0.2s ease 0s;
}

.mergedTo_tr {
    background-color: #fbf8e0 !important;
    transition: all 0.2s ease 0s;
}

.cntInfo.isMerged_cnt {
    background-color: #1b9567;
    height: 22px;
    width: 22px;
    line-height: 23px;
    border-radius: 50%;
    display: inline-block;
    color: #fff;
}

.cntInfo.mergedTo_cnt {
    background-color: #ed6d19;
    height: 22px;
    width: 22px;
    line-height: 23px;
    border-radius: 50%;
    display: inline-block;
    color: #fff;
}

#involvedProjects_wrp table tr td:nth-child(2),
#RefreshReferencesList_wrp table tr td:nth-child(2),
#RefreshTicketList_wrp table tr td:nth-child(2) {
    text-align: right !important;
}

.tooltip-inner ul {
    list-style: none;
    margin: 0px;
    padding: 0px 5px 0px 0px;
}

    .tooltip-inner ul li {
        display: inline-block;
        border-bottom: dashed 1px #ccc;
        padding-bottom: 4px;
        margin-bottom: 4px;
        text-align: right;
        font-size: 12px !important;
    }

.mergedSpan {
    color: #888;
    z-index: 0 !important;
    position: absolute;
    left: 40%;
}

.adminMsgIcon {
    position: relative;
    top: 1px;
    margin-right: 3px;
    font-size: 13px;
    color: #16d39a;
}

    .adminMsgIcon:hover {
        color: #098086;
    }

/*#involvedProjects_wrp td span {
    color: #16D39A;
}*/


.success {
    color: #25ba31;
}

.danger {
    color: orangered;
}

.info {
    color: #39d1db;
}

.warning {
    color: #fb8606;
}

.default {
    color: #c6c3c3;
}


.changePrjDeadlineReq {
    color: #16d39a;
    cursor: pointer;
    float: left;
    font-size: 18px;
    margin-left: -5px;
}

.catMeta {
    margin-right: 3px;
    font-size: 11px;
    color: #6f808a;
}

td li span {
    color: #05B6BF;
}

.estimate_td .percircle, td .percircle {
    font-size: 40px;
    margin: 4px 0 0px 0;
    display: inline-block;
    float: none !important;
}

    .estimate_td .percircle > span {
        color: #444;
        font-size: 12px;
    }

.ticketDeadLineRpt {
    list-style: none;
    padding: 0;
    margin: 0 3px 20px 0;
}

    .ticketDeadLineRpt li {
        line-height: 26px;
        font-size: 14px;
        border: solid 1px #ccc;
        padding: 5px 10px;
        border-radius: 4px;
        margin-bottom: 7px;
    }

        .ticketDeadLineRpt li.lvl1 a {
            color: red;
        }

        .ticketDeadLineRpt li.lvl2 a {
            color: #ff7800;
        }

        .ticketDeadLineRpt li span {
            font-size: 18px;
            font-weight: 400;
        }

.blink_me {
    animation: blinker 1.2s linear infinite;
    color: #2caec4;
}

    .blink_me.inner {
        color: unset;
    }

@keyframes blinker {
    50% {
        opacity: 0;
    }
}


.prgTagInfo {
    color: #bebebe !important;
    margin-right: 6px;
    position: relative;
    top: 2px;
    font-size: 11px;
}

.tagItem {
    text-align: right;
}

.TagTooltip_ul {
    margin: 0px;
    padding: 0px 10px 0px 0px;
}

    .TagTooltip_ul li {
        text-align: right;
        margin-bottom: 4px;
        border-bottom: dashed 1px #fff;
        padding-bottom: 3px;
    }

        .TagTooltip_ul li:last-child {
            border-bottom: dashed 0px #fff;
        }

.msgTypeIcon {
    margin-left: 5px;
    font-size: 15px;
    line-height: 18px;
    position: relative;
    display: inline-block;
    top: 2px;
}

#modal_RequestForDeadline .btn.show {
    display: inline-block;
}


.timeCircle li.dtStyle {
    text-align: center;
    font-size: 13px;
}


.timeline-pv {
    border-top: solid 1px #ddd;
    margin-top: 5px;
    padding-top: 4px;
    color: #ea5a17;
    font-size: 13px;
    line-height: 27px;
}

    .timeline-pv bold {
        font-weight: bold;
    }

.pickupTicketItem {
    cursor: pointer;
}

.pickedUp {
    border: solid 1px #ddd;
    line-height: 28px;
    color: #24bc21;
    font-size: 13px;
    position: relative;
    top: 2px;
    background-color: #fff;
}

    .pickedUp span {
        position: relative;
        left: 5px;
        top: 2px;
        color: #2bce0b;
        font-size: 15px;
    }

.timeCircle li .wrp2 span {
    color: #fff;
}

.range1 {
    background-color: #55e055;
    text-align: center;
}

.range2 {
    background-color: #dbb944;
    text-align: right;
}

.range3 {
    background-color: orange;
    text-align: right;
}

.range4 {
    background-color: orangered;
    text-align: right;
}

    .range2 span, .range3 span, .range4 span {
        position: absolute;
    }

.range5 {
    background-color: orangered;
    text-align: center;
}

.wrp1 {
    border-radius: 2px;
    position: relative;
    width: 100%;
    background-color: #d5d2d2;
    display: flex;
    right: 4px;
    top: 3px;
}

.wrp2 {
    float: right;
    border-radius: 3px;
    height: 27px;
    padding-right: 4px;
}

.wrp1 span {
    color: #fff;
    display: grid;
    position: absolute;
    right: 3%;
    top: 13%;
    font-size: 13px;
}


.clearFormula {
    text-align: left;
    direction: ltr;
    display: block;
    border: solid 1px #47dbea;
    padding: 7px 12px 4px 12px;
    border-radius: 4px;
    color: #0f7f6a;
    margin-bottom: 10px;
}

    .clearFormula b {
        font-weight: normal;
        color: #ffa802;
    }

    .clearFormula i {
        font-style: normal;
        padding: 3px 6px 0px 6px;
        border-radius: 3px;
        line-height: 17px;
        display: inline-block;
        font-size: 12px;
        cursor: help;
    }

        .clearFormula i.valid {
            background-color: #16c916db;
            color: #fff;
        }

        .clearFormula i.inValid {
            background-color: #ff4500d6;
            color: #fff;
        }

        .clearFormula i.unPublished {
            background-color: #a9a8a8d6;
            color: #fff;
        }

#lblWidgetFormula {
    text-align: center;
    color: orangered;
}

.helpPormula {
    margin: 15px 2px;
}

    .helpPormula span {
        margin-right: 10px;
        color: #149a72;
        font-weight: 400;
    }

#wrp_saveWidget_msg {
    color: orangered;
    font-size: 13px;
    line-height: 33px;
}

#wrp_userWidget .clearFormula {
    border: none;
    padding: 0px;
    margin: 0px;
    text-align: right;
}

#wrp_saveWidget_msg {
    color: orangered;
    font-size: 13px;
    line-height: 33px;
}

#RefreshResultItemList_wrp td .clearFormula {
    border: none;
    padding: 0px;
    margin: 0px;
    text-align: center;
}

.dellStyle .hovicon {
    color: #fe8300 !important;
}

    .dellStyle .hovicon.effect-1.sub-a:hover i {
        color: #fe3200 !important;
    }

.wrp_widget .card {
    transition: all 0.2s ease 0s;
}

    .wrp_widget .card:hover {
        box-shadow: 3px 5px 6px rgba(0, 0, 0, 0.15);
        transition: all 0.2s ease 0s;
    }

.leftText {
    direction: ltr;
}

tr.selectedTR {
    background-color: #f5941661 !important;
}

td.recentlyChanged {
    color: #f59416 !important;
}

.setAssistance_info {
    margin: 0px 15px 30px 0;
    font-size: 13px;
    background: #ffa5001f;
    padding: 12px 25px 2px 25px;
    border-radius: 3px;
    font-weight: 400;
    border: solid 1px #ffa50085;
    color: #4d4b4b;
}

.swal2-popup {
    width: 26em;
}

[data-user-modal-san] {
    cursor: pointer;
}

    [data-user-modal-san] span {
        transition: all 0.2s ease 0s;
    }

    [data-user-modal-san]:hover span {
        color: #A66D00;
        transition: all 0.2s ease 0s;
    }


